Page MenuHomePhabricator

triggers interest-noawait /etc/resolv.conf will probably not work
Closed, ResolvedPublic

Description

I've never used triggers, but it's most interesting. I see a potential issue here.

# Reset back to Whonix defaults
interest-noawait /etc/resolv.conf
interest-noawait /etc/hosts
interest-noawait /etc/hostname

I think you might want to use /etc/resolv.conf.anondist instead. Because the file known to dpkg is
https://github.com/Whonix/anon-gw-dns-conf/blob/master/etc/resolv.conf.anondist
(or https://github.com/Whonix/anon-ws-dns-conf/blob/master/etc/resolv.conf.anondist).
Moving /etc/resolv.conf out of the way and the symlink magic is done by config-package-dev. And I suppose that dpkg uses triggers on files it knows to manage. Probably not on dpkg-diverted files. But I might be wrong about this. I advice to actually test this if you want to make sure this really works.

(Related: T171)

Details

Impact
Needs Triage

Event Timeline

Patrick created this task.Feb 15 2015, 2:48 PM
Patrick updated the task description. (Show Details)
Patrick raised the priority of this task from to Normal.
Patrick added projects: Whonix, Qubes.

It has been tested and does work.

Those 3 files are managed by qubes.whonix and also have a chattr+i attribute set upon them to prevent Qubes from over-writing them.

https://github.com/nrgaway/qubes-whonix/blob/master/usr/lib/qubes-whonix/init/init
https://github.com/nrgaway/qubes-whonix/blob/master/usr/lib/qubes-whonix/utility_functions.sh#L56

I advice to fix this in a later version of Qubes upstream and in the qubes-whonix version.

nrgaway claimed this task.Feb 22 2015, 10:10 PM
nrgaway lowered the priority of this task from Normal to Low.Jun 6 2015, 6:19 PM
Patrick set Impact to Needs Triage.
Patrick closed this task as Resolved.Sep 8 2015, 5:47 PM

fixed 'triggers interest-noawait /etc/resolv.conf will probably not work' - https://phabricator.whonix.org/T173:
https://github.com/Whonix/qubes-whonix/commit/d299505b6c7bbf7b2e856e5e2d87b5de4d664f9e